Opened 16 years ago

Closed 10 years ago

Last modified 8 years ago

#2192 closed enhancement (fixed)

Drop gtk+(1) from the book.

Reported by: Ag. Hatzimanikas Owned by: blfs-book@…
Priority: low Milestone:
Component: BOOK Version: SVN
Severity: minor Keywords:
Cc: gtk1

Description

Sorry if this a duplicate ticket,the search query returned to me nothing about the subject,if so please close it.

There is no reason to still include the gtk+(1) in the book.

The applications that are still depends in the outdated toolkit are rare.

And we can always in such rare cases,point to a previous book version.

I set the milestone to future,however there is nothing to stop us to remove it in 6.2.

Change History (15)

comment:1 by Randy McMurchy, 16 years ago

Priority: normallow
Severity: normalminor

Perhaps you don't realize Ag, that GnuCash alone is reason enough to leave GTK+1 in the book for the 6.2 release.

But I agree, it will eventually go away.

comment:2 by dnicholson@…, 16 years ago

Another package I never plan to build again. Certainly warrants consideration post-6.2.

comment:3 by Ag. Hatzimanikas, 16 years ago

GnuCash 2.0.2 is out there.

Perhaps you should conider to drop all these absolute stuff and make some major cleanups.

Anyway as I was already told in my initial comment we can still link in the gtk instructions of an old book,if you still keep gnucash-1.8.12 or xmms for instance.

The ball is in your hands.

comment:4 by Randy McMurchy, 16 years ago

It has already been determined that BLFS-6.2 is shipping with GnuCash-1. There is simply not time to test GnuCash properly. I have read of some issues with v2 with certain ported features. v1 is a tried and true known to be right with the money package.

comment:5 by Randy McMurchy, 13 years ago

Adding a note about XMMS requires this package and must be dropped if/when this ticket is taken care of.

comment:6 by DJ Lucas, 13 years ago

Owner: changed from blfs-book@… to DJ Lucas
Status: newassigned

comment:7 by DJ Lucas, 13 years ago

dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"required\"><xref linkend=\"GTK\"" * | \
    sed /svn.base/d | sed /blfs-/d
gnome/otherlibs/gdk.xml:    <para role="required"><xref linkend="GTK"/></para>
multimedia/audioutils/xmms.xml:    <para role="required"><xref linkend="GTK"/></para>
pst/ps/gsview.xml:    <para role="required"><xref linkend="GTK"/>, and
xsoft/graphweb/dillo.xml:    <para role="required"><xref linkend="GTK"/></para>
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"required\"><xref linkend=\"gdk\"" * | \
    sed /svn.base/d | sed /blfs-/d
gnome/otherlibs/gnome-print.xml:    <para role="required"><xref linkend="gdk"/>,
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"required\"><xref linkend=\"gnome-print\"" * | \
    sed /svn.base/d | sed /blfs-/d
gnome/otherlibs/guppi.xml:    <para role="required"><xref linkend="gnome-print"/> and
gnome/otherlibs/gal1.xml:    <para role="required"><xref linkend="gnome-print"/> and
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"required\"><xref linkend=\"guppi\"" * | \
    sed /svn.base/d | sed /blfs-/d
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"required\"><xref linkend=\"gal1\"" * | \
    sed /svn.base/d | sed /blfs-/d
gnome/otherlibs/gtkhtml1.xml:    <para role="required"><xref linkend="gal1"/>,
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"required\"><xref linkend=\"gtkhtml1\"" * | \
    sed /svn.base/d | sed /blfs-/d
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"optional\"><xref linkend=\"GTK\"" * | \
    sed /svn.base/d | sed /blfs-/d
general/genutils/pinentry.xml:    <para role="optional"><xref linkend="GTK"/>,
general/graphlib/imlib.xml:    <para role="optional"><xref linkend="GTK"/></para>
gnome/otherlibs/gconf1.xml:    <para role="optional"><xref linkend="GTK"/>,
multimedia/audioutils/lame.xml:    <para role="optional"><xref linkend="GTK"/>,
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"optional\"><xref linkend=\"gdk\"" * | sed /svn.base/d | sed /blfs-/d
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"optional\"><xref linkend=\"gnome-print\"" * | sed /svn.base/d | sed /blfs-/d
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"optional\"><xref linkend=\"guppi\"" * | sed /svn.base/d | sed /blfs-/d
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"optional\"><xref linkend=\"gal1\"" * | sed /svn.base/d | sed /blfs-/d
dj [ ~/LFS/BLFS/BOOK ]$ grep -r "role=\"optional\"><xref linkend=\"gtkhtml1\"" * | sed /svn.base/d | sed /blfs-/d

comment:8 by DJ Lucas, 13 years ago

So, it looks like the following packages need to be removed for this to happen: GTK-1, GDK, XMMS, Dillo, Gnome Print-1, Guppi, Gal-1, and GTK-HTML-1 Imlib-1, and GConf-1 will probably be removed anyway, and lame and pinentry require modification.

Looks like a lot of change happening here, but not so bad to do the work...question is how many people use Dillo and XMMS?

comment:9 by Randy McMurchy, 13 years ago

This ticket is marked future on purpose. Let's address your questions, DJ, after the next release. There is no harm keeping it in the book, right? It builds and causes no harm to any other package, right?

in reply to:  9 comment:10 by DJ Lucas, 13 years ago

Replying to randy@…:

This ticket is marked future on purpose. Let's address your questions, DJ, after the next release. There is no harm keeping it in the book, right? It builds and causes no harm to any other package, right?

Honestly, I'm not sure. I don't use any of the above...I'm only looking at the maintenance involved in keeping these packages building with newer gcc, and testing by an editor. If somebody chimes in and says, 'yeah, I use them and they work fine,' then great.

comment:11 by DJ Lucas, 13 years ago

Owner: changed from DJ Lucas to blfs-book@…
Status: assignednew

comment:12 by Randy McMurchy, 12 years ago

Milestone: future6.7

Updated milestone to 6.7

comment:13 by Wayne Blaszczyk, 11 years ago

I thought I'll add this here rather than creating a new ticket. Glib(1) does not build under x86_64. The following error occurs:

checking build system type... Invalid configuration x86_64-unknown-linux-gnu': machine x86_64-unknown' not recognized

followed by:

configure: error: libtool configure failed

comment:14 by ken@…, 10 years ago

Resolution: fixed
Status: newclosed

It's been gone for a few days now.

comment:15 by bdubbs@…, 8 years ago

Milestone: 6.7

Milestone 6.7 deleted

Note: See TracTickets for help on using tickets.